windows安装TensorFlow和Keras遇到的问题及其解决方法

  • 时间:
  • 浏览:66
  • 来源:零度娱乐网_提供酷玩娱乐网技术_羽梦娱乐网资讯

  寻找找tensorflow,并点进去:

  今天真的是,哈哈哈哈哈。既然你是什么 舒服,曾经就再在python3.7上测试安装keras和tensorflow,看看不是成功,但是去清华大学镜像仓库,发现那末python3.7版本的tensorflow。

  从下面代码来看,但是 人的Keras真是可不还要运行。但是TensorFlow仍然报错。

  那真是,就说 人说,没那末麻烦,我在Windows上直接pip install 就成功了啊,也真是是,但是我真是遇到了就说 麻烦。希望我这次经历能帮到还要帮助的盆友。

  控制台会输出:

  讲道理,这5天的无数次尝试,最终成功,我还要明白5个道理,就说 遇到间题太大可怕,可怕的是当时人脆弱的心,不断想放弃的想法。

  百度,改错依据如下:

  而打算最后一次尝试,竟然是安装的python3.7成功了(各位盆友,记住,就说 安装成功了!!),哈哈哈,真的我真是我这笑是无奈的笑。

  话太大说,先上anaconda的下载地址。

   但是,下载对应python版本的轮子,直接安装即可。

  镜像下载地址:清华镜像源

   我去我同事能使用的TensorFlow的安装包site_packages下的tensorflow包里面查看,发现别人的环境但是 曾经的:

  我现在的python版本是3.7,但是我还要安装5个python 3.6的环境,则在anaconda prompt输入:

  就说 ,我的总结就说 ,安装python3.6 还是python3.7的哪些但是 重要,最重要的是遇到间题,解决间题。无论用哪个版本,假如有一天TensorFlow支持你是什么 版本,但是 人就可不还要按照成功!!!,但是前提是还要官方支持的版本

  首先说一下我的经历,曾经也就说 起初,网上说python3.7不支持TensorFlow环境,但是使用Anaconda最好,就说 我将我但是Windows上所有的python环境卸载掉!!!,对没错,是所有,包括Anaconda环境,python环境,pycharm环境也卸载掉了。但是我丧心病狂的在电脑上找几乎所有关于python的字眼,完整篇 删除掉,就说 不留。就说 为了铁了心在Windows上成功安装5个TensorFlow环境。

   结果无济于事,没用!!!

  那anaconda按照要注意的间题是哪些呢?

  那你是什么 只解决了Keras的间题,但是TensorFlow的间题仍然那末解决:

  我安装的是CPU版本的:

  而我的环境中那末python,example include这十多少 文件夹,终于知道间题出在哪里了,就说 我打算将别人的你是什么 文件夹一键复制下来,但是于此共同在网上看到5个安装依据,反正折腾一天了,你是什么 一键复制还在进行当中,你可不还要先尝试了一下:

   为了测试到底可不还要用,我又将keras的后端环境由theano加带了TensorFlow(咋样改回去,里面有代码,但是 人可不还要当时人改,这里不再重复了)。

  (下载轮子的地址:https://www.lfd.uci.edu/~gohlke/pythonlibs/)

  官方下载地址:https://repo.anaconda.com/archive/

  显示,安装成功:

  在keras安装目录里(在安装环境的目录里有Lib\site-packages\keras),找到Lib\site-packages\keras\backend__init__.py文件。

  检测不是安装成功

  打开命令提示符(按住田字键和R键)输入cmd,输入conda和python,检测不是安装成功。

  报错如下:

  那查找当时人对应的电脑系统:

  上图:

   但是尝试安装了TensorFlow更低的版本(版本如下面所示):

  配置环境变量就说 根据安装时的路径找到以下十多少 路径用于环境配置,我放到E盘里,以下为我安装时的路径。

  心里有就说 脏话,不值当讲不当讲,还是那末用。

   但是,使用的但是还是报错!!!下图是在python3.7的情况下:

  下面但是 人激活你是什么 环境:

  真的是遇到间题,解决间题,我可能麻木了。

  直接去清华大学镜像仓库,查看对应版本的tensorflow:地址:https://mirrors.tuna.tsinghua.edu.cn/

  python使用TensorFlow报错 ModuleNotFoundError:No module named 'tensorflow.python

  使用以下命令创建新环境:

   咋样确保可能配置好环境变量了呢?

   本以为是版本的间题,但是卸载了keras和TensorFlow:

  当然,有可能但是 人有用,那末咋样进入管理员身份运行,如下:

  但是 人打开cmd,直接输入pip list 可能 conda list,可能出先anaconda安装的包,则说明那末间题,可能出先,无此命令,则环境变量那末配置好。

  最好将其依赖共同卸载掉:

  哈哈哈,很高兴,看到我这篇文章的盆友,能看到这里,这里我分享一下我这次拨开乌云见彩虹的坎坷历程。

  可能是可能tensorflow作为后端对keras的支持过低好,但是keras的backend 共同支持tensorflow和theano,但是默认是tensorflow,但是在win本上还要更改backend为theano能够运行。

  配置环境:回到桌面,右击‘我的电脑’,但是点击属性-高级系统设置-右下角点击环境变量,点击系统变量下方新建,如下图所示,依次将里面的5个路径输入,路径间用英文情况下的分号隔开,点击选泽并应用。

   导入Keras,发现报错了,报错信息如下:

  输入y:

  安装TensorFlow在Windows上,真是 我还要心力交瘁,想死的心但是 了,在Windows上做开发真的你可不还要发狂。

  我第一次那末打 √ ,选泽当时人配置的环境变量。

  但是测试,成功!!!,上图:

  我还要知道但是 人看到了哪些,对,安装成功了!!!!

  但是在Linux上环境但是 ,但是突然切换Linux和Windows比较麻烦,你可不还要你是什么 原因分析 解释起来也比较麻烦,就太大说了。总之,就说 还要在Windows上安装TensorFlow!这次是铁了心的,可能去年在Windows上那末安装成功,你可不还要避而远之,没弄,但是现在不得不再来,我决定遇到间题不再躲避,要直面挫折,即使浪费很长的时间,也还要完成(真是是正好这段时间不太忙)。

  但是听到同事说,很简单啊,就说 安装5个Anaconda对应python3.6版本的就行,里面直接pip  install 就OK了。当然但是 人希望是曾经,曾经事与愿违,真是 是气死我了,你是什么 天安装anaconda就安装了三次,但是 人说累不累,除了安装你是什么 ,还要安装对应的包,真的是卸了又安,安了又卸。

  为哪些曾经说呢?,可能我在常下载轮子的地方发现了python3.7版本对应的TensorFlow,真的。

  下面记录一下去清华大学镜像仓库下载并安装对应版本的tensorflow,一方面记录正确的安装过程,当时人面,证明真是没用python3.7对应的TensorFlow版本。

  讲道理,现在的我可能麻木了,感觉当时人把该犯的错全犯了,运气缘何那末差呢?

  但是安装keras和TensorFlow,最后在python环境中验证,发现新的错误:

  下图是TensorFlow和keras安装成功的见证:

  强行升级,但是安装TensorFlow和Keras,成功了!!

  迫不得已,我决定降低python版本,尝试python3.6,但是 人都说3.6好,那就用呗。

    点进去,发现,目前能够能 python3.5 和 python3.6的:

  原因分析 错误的原因分析 :Wrapt issue when installing package

  当然,不用anaconda当时人配置环境变量也可不还要,那就说 但是 人当时人去我的电脑配置。

  记得去年十月份的但是,我在Windows上尝试安装tensorflow失败了。你可不还要对深度1学习这块避而远之,即使训练模型也在Linux服务器上做, 麻烦是麻烦了点,但是就说 不但是面对你是什么 麻烦。但是从上个月开使,当我看到同事完成了一件事后,我决定安装tensorflow(可能最近真是用的比较多,切换太频繁也比较麻烦),她的那锲而不舍精神打动了我,哪些事情呢? 先说一下背景,她是学习java的,真是说编程语法大相径庭,但是不同点依旧就说 ,而还要她使用python5个web框架flask做5个东西。她真是不用,但是不断尝试,不断尝试,可不还要说是遇到了就说 就说 麻烦,挫折,我也天天听到了她的抱怨(可惜我帮不上),但是终于听到了她说“yes”。我知道她成功了。就说 ,我决定不放弃,一定要安装成功,最后也真是安装成功了。

  运行结果如下:

  好了,牢骚发完了,废话也说完了,下面得话安装注意的坑。

  就说 目前决定放弃在python3.7版本安装tensorflow!!反正在python3.6版本上可能安装成功了,可不还要用就行了。

   到C:\Windows\System32目录下,右键单击cmd.exe文件以管理员身份运行。如下

  但是设置环境变量:

  反正都失败那末多次了,就说 差你是什么 回,你可不还要继续安装了一下python3.7版本的:

  好啦~安装完成啦!

  此时,内心窃喜,测试一下:

  但是等了什么时间,安装成功了:

   我也就不报希望,但是还是例行公事的在python环境中验证了一下:

  唉,难受,那最最后一次尝试,就说 在python3.6版本下安装,终于成功了!!包括测试成功,上图:

  下图是anaconda的版本和python的版本:

  此时此刻,我的内心可能毫无波澜了,一丝喜悦感都那末了。

  安装成功,是成功了,但是无法使用,依旧会报错。

  其中 -n 代表 name,env_name 是还要创建的环境名称,list of packages 则是列出在新环境中还要安装的工具包。

   可能选泽第5个,可能会出先,下面报错,也就说 PermissionError,权限过低,就说 就说 安装不成功,即使我使用了管理员权限进入了cmd,但是还是那末任何用处。

  解决依据:

  但是在C:\Users\Administrator\下有个文件夹.keras,里面有keras.json文件,修改里面的内容,曾经是: